var YahApi=null;    //Creating a variable 
var t11=0;              //
var t22=0;              //
var sql = new SQL();      //Creating a variable and assinging a database object to it. 
IR.AddListener(IR.EVENT_START,0,function()
{  
   sql.Open('weather.db');      //Opening a database with "weather" name. If this database does not exist, it will be created.
   sql.Execute("BEGIN");      //Start of work with database
   sql.Execute('create table TEST(day int, hours int, minutes int, seconds int, grades int, direction int)');     //creating a table with "TEST" name with the following fields: day, hours, minutes, seconds, grades, direction  
   sql.Execute("COMMIT");     //End of work with database    
   sql.Close();//Closing database
   function  WeathMainGetData()    //Function that reads information about weather and writes it to the base.
   {
      if (!YahApi) 
      {
         YahApi = IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "YahApi", "xml.weather.yahoo.com", 80, "", "", false);
         YahApi.Connect(); 
      }               //this part is responsible for getting data from a weather server and writing these data to the base.
      YahApi.SendEx(
      {
         Type: "GET",
         Url: "/forecastrss?w=2093403&u=c",
         cbReceiveText: function(text, code, headers) 
         {    
           var yahxml = new XML(text);
           var date = new iDate(); 
           IR.Log(yahxml.rss.channel.item ["yweather:condition"]["@temp"]);
           IR.Log(yahxml.rss.channel ["yweather:wind"]["@direction"]);
           IR.Log(yahxml.rss.channel ["yweather:atmosphere"]["@humidity"] + "%"   );
           IR.Log(yahxml.rss.channel ["yweather:atmosphere"]["@visibility"] + " " + yahxml.rss.channel ["yweather:units"]["@distance"]); 
           IR.Log(yahxml.rss.channel ["yweather:atmosphere"]["@pressure"] + " " + yahxml.rss.channel ["yweather:units"]["@pressure"] );
           IR.Log(yahxml.rss.channel ["yweather:astronomy"]["@sunrise"]);
           IR.Log(yahxml.rss.channel ["yweather:astronomy"]["@sunset"] ); 
           t11=yahxml.rss.channel.item ["yweather:condition"]["@temp"];
           t22=yahxml.rss.channel ["yweather:wind"]["@direction"];
           sql.Open('weather.db');             //Opening database with "weather" name.
           sql.Execute("BEGIN");             //Start of work with database.
           sql.Execute('INSERT INTO TEST(day, hours, minutes, seconds, grades, direction) VALUES('+ date.date+','+ date.hours+','+ date.minutes+','+ date.seconds+','+t11+','+t22+')');        //data are written in TEST table
           sql.Execute("COMMIT");         //End of work with database.     
           sql.Close();                //Closing database
         },
      });
   };     
   function inquiry()       
{    
    sql.Open('weather.db'); //Opening database with "weather" name
    sql.Execute("BEGIN");    
    var RecordSet = sql.Request("select * from TEST WHERE grades>5"); // Creating variable and assinging sql.Request object to it, and the body of request is given in the brackets       
    IR.Log(RecordSet.GetColumnName(0) +'\t'+ RecordSet.GetColumnName(1) +'\t'+ RecordSet.GetColumnName(2));   //logging fieldnames count 1 to 3. 
    for (i=0;i<RecordSet.Rows;i++)   //making a cycle to output data
    IR.Log(RecordSet.GetRowValue(0,i)+'\t'+RecordSet.GetRowValue(1,i)+'\t' + RecordSet.GetRowValue(2,i));    //data output in lines
    sql.Execute("COMMIT"); //End of work with database          
    sql.Close();    
}; 
IR.SetInterval(30000, WeathMainGetData); //function is repeated every hour. You can set the required period of time youself      
IR.SetInterval(60000,inquiry); // calling function every minute. You can change the interval the way you want.              
       
});